%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  missForestPredict
%global packver   1.0.1
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.0.1
Release:          1%{?dist}%{?buildtag}
Summary:          Missing Value Imputation using Random Forest for Prediction Settings

License:          GPL (>= 2)
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.0
Requires:         R-core >= 4.0
BuildArch:        noarch
BuildRequires:    R-CRAN-ranger 
BuildRequires:    R-methods 
BuildRequires:    R-stats 
Requires:         R-CRAN-ranger 
Requires:         R-methods 
Requires:         R-stats 

%description
Missing data imputation based on the 'missForest' algorithm (Stekhoven,
Daniel J (2012) <doi:10.1093/bioinformatics/btr597>) with adaptations for
prediction settings. The function missForest() is used to impute a
(training) dataset with missing values and to learn imputation models that
can be later used for imputing new observations. The function
missForestPredict() is used to impute one or multiple new observations
(test set) using the models learned on the training data. For more details
see Albu, E., Gao, S., Wynants, L., & Van Calster, B. (2024).
missForestPredict--Missing data imputation for prediction settings
<doi:10.48550/arXiv.2407.03379>.

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
